Subject: [TR] Exhaust question

From: "Andrew Uprichard" <[email-masked]>
Date: Thu, 20 Dec 2012 16:38:48 -0500

Has anyone on the list had reason to install a Moss exhaust on a TR3
recently?  All goes together pretty well, but the tailpipe extension seems
WAY to big compared with the end of the resonator.  And there's no way it
can be tightened with the recommended clamp.  I hate to start cutting it,
but.

If anyone has "been there, done that", please let me know.  Thanks!

Andrew Uprichard

** [email-masked] **

Archive: http://www.team.net/archive